javax.swing.event

## Class PopupMenuEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.swing.event.PopupMenuEvent

All Implemented Interfaces:
  Serializable

    public class PopupMenuEvent
    extends EventObject

PopupMenuEvent only contains the source of the event which is the JPoupMenu sending the event

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`PopupMenuEvent(Object source)` Constructs a PopupMenuEvent object.

### Method Summary

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PopupMenuEvent

    public PopupMenuEvent(Object source)

Constructs a PopupMenuEvent object.

Parameters:
  `source` - the Object that originated the event (typically `this`)

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.